import request from '@/utils/request'
import Qs from 'qs'

/**
* 1. 列表查询
* 2. 查询详细信息
* 3. 新增
* 4. 修改
* 5. 逻辑删除
* 6. 导出
 * 7.确认
*
*/

// 1. 查询????列表
export function listOutcomeWmsApply(query) {
  return request({
    url: '/outcomewmsapply/list',
    method: 'get',
    params: query
  })
}

// 2. 查询????详细信息
export function getOutcomeWmsApply(businessId) {
  return request({
    url: '/outcomewmsapply/detailPn/' + businessId,
    method: 'get'
  })
}

export function findOutcomeWmsApply(businessId) {
  return request({
    url: '/outcomewmsapply/detail/' + businessId,
    method: 'get'
  })
}

export function findWmsApply(query) {
  return request({
    url: '/outcomewmsapply/detailNew/',
    method: 'get',
    params: query
  })
}

// 3. 新增????
export function addOutcomeWmsApply(data) {
  data = Qs.stringify(data)
  return request({
    url: '/outcomewmsapply/add',
    method: 'post',
    data: data
  })
}

export function addOutcomeWmsApplyPtype(data) {
  return request({
    url: '/outcomewmsapply/addList',
    method: 'post',
    data: data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8' // 接口修改传参类型
    }
  })
}

// 4. 修改????
export function updateOutcomeWmsApply(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/outcomewmsapply/update/' + businessId,
    method: 'put',
    data
  })
}

// 5. 逻辑删除????
export function delOutcomeWmsApply(businessId) {
  return request({
    url: '/outcomewmsapply/deleteLogical/' + businessId,
    method: 'delete'
  })
}

// 6. 导出????
export function exportOutcomeWmsApply(query) {
  return request({
    url: '/outcomewmsapply/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
export function sureStatus(data) {
  return request({
    url: '/outcomewmsapply/sure',
    method: 'put',
    data,
    headers: { 'Content-Type': 'application/json;charset=utf8' }
  })
}

