import request from '@/utils/request'
import Qs from 'qs'

/**
* 1. 列表查询
* 2. 查询详细信息
* 3. 新增
* 4. 修改
* 5. 逻辑删除
* 6. 导出
*
*/

// 1. 查询order列表
export function listWcpOrder(query) {
  return request({
    url: '/wcporder/list',
    method: 'get',
    params: query
  })
}
export function listWcpOrderPd(query) {
  return request({
    url: '/wcporderlistpd/list',
    method: 'get',
    params: query
  })
}
export function getUserPd(query) {
  return request({
    url: '/wcporderuser/getUserPd',
    method: 'get',
    params: query
  })
}
export function getUserId(query) {
  return request({
    url: '/wcporderuser/getUserId',
    method: 'get',
    params: query
  })
}
export function getWcpOrderId(query) {
  return request({
    url: '/wcporderlist/detailId/',
    method: 'get',
    params: query
  })
}

// 2. 查询order详细信息
export function getWcpOrder(businessId) {
  return request({
    url: '/wcporder/detail/' + businessId,
    method: 'get'
  })
}

// 3. 新增order
export function addWcpOrder(data) {
  data = Qs.stringify(data)
  return request({
    url: '/wcporder/add',
    method: 'post',
    data: data
  })
}

export function wcpOrderPd(data) {
  data = Qs.stringify(data)
  return request({
    url: '/wcporderlistpd/batchAdd',
    method: 'post',
    data
  })
}
// 4. 修改order
export function updateWcpOrder(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/wcporder/update/' + businessId,
    method: 'put',
    data
  })
}

// 5. 逻辑删除order
export function delWcpOrder(businessId) {
  return request({
    url: '/wcporder/deleteLogical/' + businessId,
    method: 'delete'
  })
}
export function wcpOrderEndPd(businessId) {
  return request({
    url: '/wcporderlistpd/deleteLogical/' + businessId,
    method: 'delete'
  })
}
// 6. 导出order
export function exportWcpOrder(query) {
  return request({
    url: '/wcporder/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
export function importExcel(data) {
  return request({
    url: '/wcporderlist/import',
    method: 'post',
    headers: {
      'Content-Type': 'multipart/form-data'
    },
    transformRequest: [(data) => {
      return data
    }],
    data
  })
}
export function listUser(query) {
  return request({
    url: '/system/user/list',
    method: 'GET',
    params: query
  })
}
export function listPackingList(query) {
  return request({
    url: '/wcporderlist/listPackingList',
    method: 'GET',
    params: query
  })
}
