import request from '@/utils/request'
import Qs from 'qs'

/**
* 1. 列表查询
* 2. 查询详细信息
* 3. 新增
* 4. 修改
* 5. 逻辑删除
* 6. 导出
*
*/

// 1. 查询order列表
export function listWcpOrderList(query) {
  return request({
    url: '/wcporderlist/list',
    method: 'get',
    params: query
  })
}

// 2. 查询order详细信息
export function getWcpOrderList(businessId) {
  return request({
    url: '/wcporderlist/detail/' + businessId,
    method: 'get'
  })
}

// 3. 新增order
export function addWcpOrderList(data) {
  data = Qs.stringify(data)
  return request({
    url: '/wcporderlist/add',
    method: 'post',
    data: data
  })
}

// 4. 修改order
export function updateWcpOrderList(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/wcporderlist/update/' + businessId,
    method: 'put',
    data
  })
}

// 5. 逻辑删除order
export function delWcpOrderList(businessId) {
  return request({
    url: '/wcporderlist/deleteLogical/' + businessId,
    method: 'delete'
  })
}

// 6. 导出order
export function exportWcpOrderList(query) {
  return request({
    url: '/wcporderlist/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
